aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2007-03-13 15:32:21 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2007-03-13 15:32:21 +0000
commitd1856e25dbca494b9ceb69fa268c8ae11ecb931c (patch)
treef2455ddffeffee1cb31222331ca0aad5282af6dd
parentcd1b733f8633ddc2c599bd7a84902c40720fddab (diff)
downloadpaludis-d1856e25dbca494b9ceb69fa268c8ae11ecb931c.tar.gz
paludis-d1856e25dbca494b9ceb69fa268c8ae11ecb931c.tar.xz
Extend env testcases
-rwxr-xr-xsrc/clients/paludis/upgrade_TEST_setup.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/clients/paludis/upgrade_TEST_setup.sh b/src/clients/paludis/upgrade_TEST_setup.sh
index dcf1aed..c27ea4e 100755
--- a/src/clients/paludis/upgrade_TEST_setup.sh
+++ b/src/clients/paludis/upgrade_TEST_setup.sh
@@ -124,15 +124,28 @@ src_install() {
[[ "${VAR1}" == yes ]] || die
[[ "${VAR2}" == yes ]] || die
[[ "${VAR3}" == yes ]] && die
+ [[ $(printenv VAR1 ) == yes ]] || die
dobin testbin
dobin testbin${PV}
}
+pkg_preinst() {
+ [[ "${VAR1}" == yes ]] || die
+ [[ "${VAR2}" == yes ]] || die
+ [[ "${VAR3}" == yes ]] && die
+ [[ $(printenv VAR1 ) == yes ]] || die
+ [[ -z "$(printenv D )" ]] && die
+
+ the_eclass_works || die
+}
+
pkg_prerm() {
[[ "${VAR1}" == yes ]] || die
[[ "${VAR2}" == yes ]] || die
[[ "${VAR3}" == yes ]] && die
+ [[ $(printenv VAR1 ) == yes ]] || die
+ [[ -z "$(printenv D )" ]] && die
the_eclass_works || die
}